## Class TSoapServer

Description

TSoapServer class.

TSoapServer is a wrapper of the PHP SoapServer class. It associates a SOAP provider class to the SoapServer object. It also manages the URI for the SOAP service and WSDL.

- since: 3.1
- version: $Id: TSoapService.php 1939 2007-05-14 02:04:58Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Web/Services/TSoapService.php (line 277)

    TComponent
       |
       --TApplicationComponent
          |
          --TSoapServer

Class Constant Summary
WSDL_CACHE_PREFIX = 'wsdl.'
Method Summary
SoapServer createServer ()
void fault (string $title, [mixed $details = ''], [string $code = 'SERVER'], [string $actor = ''], [string $name = ''])
string getActor ()
string getClassMaps ()
string getEncoding ()
string getID ()
array getOptions ()
string getProvider ()
string getRequestedMethod ()
boolean getSessionPersistent ()
string getUri ()
string getVersion ()
string getWsdl ()
string getWsdlUri ()
void guessMethodCallRequested (string $class)
void run ()
void setActor (string $value)
string setClassMaps (mixed $classes)
void setEncoding (string $value)
void setID (string $id)
void setProvider (string $provider)
void setSessionPersistent (boolean $value)
void setUri (string $uri)
void setVersion (string $value)
void setWsdlUri (string $value)
Methods
createServer (line 391)

Creates the SoapServer instance.

- access: protected

SoapServer createServer ()
fault (line 353)

Generate a SOAP fault message.

- access: public

void fault (string $title, [mixed $details = ''], [string $code = 'SERVER'], [string $actor = ''], [string $name = ''])

- string $title: message title
- mixed $details: message details
- string $code: message code, defalt is 'SERVER'.
- string $actor: actors
- string $name: message name

getActor (line 537)

- return: actor of the SOAP service
- access: public

string getActor ()
getClassMaps (line 585)

- return: comma delimit list of complex type classes.
- access: public

string getClassMaps ()
getEncoding (line 553)

- return: encoding of the SOAP service
- access: public

string getEncoding ()
getID (line 299)

- return: the ID of the SOAP server
- access: public

string getID ()
getOptions (line 405)

- return: options for creating SoapServer instance
- access: protected

array getOptions ()
getProvider (line 501)

- return: the SOAP provider class (in namespace format)
- access: public

string getProvider ()
getRequestedMethod (line 382)

Soap method guessed from the SOAP message received.

- return: soap method request, null if not found.
- access: public

string getRequestedMethod ()
getSessionPersistent (line 569)

- return: whether the SOAP service is persistent within session. Defaults to false.
- access: public

boolean getSessionPersistent ()
getUri (line 482)

- return: the URI for the SOAP service
- access: public

string getUri ()
getVersion (line 517)

- return: SOAP version, defaults to empty (meaning not set).
- access: public

string getVersion ()
getWsdl (line 433)

Returns the WSDL content of the SOAP server.

If WsdlUri is set, its content will be returned. If not, the Provider class will be investigated and the WSDL will be automatically genearted.

- return: the WSDL content of the SOAP server
- access: public

string getWsdl ()
getWsdlUri (line 463)

- return: the URI for WSDL
- access: public

string getWsdlUri ()
guessMethodCallRequested (line 364)

Guess the SOAP method request from the actual SOAP message

- access: protected

void guessMethodCallRequested (string $class)

- string $class: current handler class.

run (line 318)

Handles the SOAP request.

- access: public

void run ()
setActor (line 545)

- access: public

void setActor (string $value)

- string $value: actor of the SOAP service

setClassMaps (line 593)

- return: comma delimit list of class names
- access: public

string setClassMaps (mixed $classes)
setEncoding (line 561)

- access: public

void setEncoding (string $value)

- string $value: encoding of the SOAP service

setID (line 308)

- access: public
- throws: TInvalidDataValueException if the ID ends with '.wsdl'.

void setID (string $id)

- string $id: the ID of the SOAP server

setProvider (line 509)

- access: public

void setProvider (string $provider)

- string $provider: the SOAP provider class (in namespace format)

setSessionPersistent (line 577)

- access: public

void setSessionPersistent (boolean $value)

- boolean $value: whether the SOAP service is persistent within session.

setUri (line 493)

- access: public

void setUri (string $uri)

- string $uri: the URI for the SOAP service

setVersion (line 526)

- access: public
- throws: TInvalidDataValueException if neither '1.1' nor '1.2'

void setVersion (string $value)

- string $value: SOAP version, either '1.1' or '1.2'

setWsdlUri (line 474)

- access: public

void setWsdlUri (string $value)

- string $value: the URI for WSDL

#### Inherited Methods

Inherited From TApplicationComponent

> TApplicationComponent::getApplication()
> TApplicationComponent::getRequest()
> TApplicationComponent::getResponse()
> TApplicationComponent::getService()
> TApplicationComponent::getSession()
> TApplicationComponent::getUser()
> TApplicationComponent::publishAsset()
> TApplicationComponent::publishFilePath()

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Class Constants
WSDL_CACHE_PREFIX = 'wsdl.' (line 279)

Documentation generated on Mon, 21 Apr 2008 11:36:13 -0400 by phpDocumentor 1.3.0RC4